/**** CONTROLLA MENU A TENDINA ****/
function controllaMenuTendina(nome,descrizione,modulo){ // semplice con prima opzione disattivata
	if(modulo.elements[nome].selectedIndex == 0){
		alert("ATTENZIONE:  obbligatorio selezionare una voce dal menu a tendina \""+descrizione+"\" !");
		modulo.elements[nome].focus();
		return false;
	}
	return true;
}


/**** CONTROLLA CAMPI TESTO E TEXT AREA ****/

function controllaTestoObbligatorio(nome,descrizione,modulo){ // obbligatorio
	if(modulo.elements[nome].value == ""){
		if(descrizione != ""){
			alert("ATTENZIONE: il campo \""+descrizione+"\"  obbligatorio !");
			modulo.elements[nome].focus();
		}
		return false;
	}
	return true;	
}

function controllaTestoMax(nome,descrizione,modulo,maxCaratteri){ // max caratteri (ma possibile = 0)
	if(modulo.elements[nome].value.length > Number(maxCaratteri) && modulo.elements[nome].value.length != 0){
		if(descrizione != ""){
			alert("ATTENZIONE: il campo \""+descrizione+"\" non pu superare i "+maxCaratteri+" caratteri !");
			modulo.elements[nome].focus();
		}
		return false;	
	}
	return true;
}

function controllaTestoMin(nome,descrizione,modulo,minCaratteri){ // min caratteri (ma possibile = 0)
	if(modulo.elements[nome].value.length < Number(minCaratteri) && modulo.elements[nome].value.length != 0){
		if(descrizione != ""){
			alert("ATTENZIONE: il campo \""+descrizione+"\" non pu contenere meno di "+minCaratteri+" caratteri !");
			modulo.elements[nome].focus();
		}
		return false;	
	}
	return true;
}

function controllaTestoMaxMin(nome,descrizione,modulo,maxCaratteri,minCaratteri){ // max e min caratteri (ma possibile = 0))
	if(!controllaTestoMax(nome,"",modulo,maxCaratteri) || !controllaTestoMin(nome,"",modulo,minCaratteri)){
		if(descrizione != ""){
			alert("ATTENZIONE: il campo \""+descrizione+"\" deve essere composto da un minimo di "+minCaratteri+" e da un massimo di "+maxCaratteri+" caratteri !");
			modulo.elements[nome].focus();
		}
		return false;	
	}
	return true;
}

function controllaTestoFisso(nome,descrizione,modulo,numCaratteri){ // con lunghezza fissa (ma possibile = 0))
	if(!controllaTestoMax(nome,"",modulo,numCaratteri) ||!controllaTestoMin(nome,"",modulo,numCaratteri)){
		if(descrizione != ""){
			alert("ATTENZIONE: il campo \""+descrizione+"\" deve essere di "+numCaratteri+" caratteri !");
			modulo.elements[nome].focus();
		}
		return false;	
	}
	return true;
}

function controllaTestoObbligatorioMax(nome,descrizione,modulo,maxCaratteri){ // obbligatorio con max caratteri
	if(!controllaTestoObbligatorio(nome,descrizione,modulo)){
		return false;
	}else if(!controllaTestoMax(nome,descrizione,modulo,maxCaratteri)){
		return false;	
	}
	return true;
}

function controllaTestoObbligatorioMin(nome,descrizione,modulo,minCaratteri){ // obbligatorio con min caratteri
	if(!controllaTestoObbligatorio(nome,descrizione,modulo)){
		return false;
	}else if(!controllaTestoMin(nome,descrizione,modulo,minCaratteri)){
		return false;	
	}
	return true;
}


function controllaTestoObbligatorioMaxMin(nome,descrizione,modulo,maxCaratteri,minCaratteri){ // obbligatorio con max e min caratteri
	if(!controllaTestoObbligatorio(nome,descrizione,modulo)){		
		return false;
	}else if(!controllaTestoMaxMin(nome,descrizione,modulo,maxCaratteri,minCaratteri)){
		return false;
	}
	return true;
}

function controllaTestoObbligatorioFisso(nome,descrizione,modulo,numCaratteri){ // obbligatorio con lunghezza fissa
	if(!controllaTestoObbligatorio(nome,descrizione,modulo)){
		return false;
	}else if(!controllaTestoFisso(nome,descrizione,modulo,numCaratteri)){
		return false;	
	}
	return true;
}

/**** CONTROLLA CAMPI DATA ****/


function controllaData(nome,descrizione,modulo){ // data formato gg/mm/aaaa non obbligatoria
	if(!controllaTestoFisso(nome,"",modulo,10)){
		alert("ATTENZIONE: data non valida nel campo \"" + descrizione + "\" ! (formato gg/mm/aaaa)");
		modulo.elements[nome].focus();
		return false;
	}else if(modulo.elements[nome].value.length > 0){
		var gg = modulo.elements[nome].value.substring(0,2);
		var mm = modulo.elements[nome].value.substring(3,5);
		var aa = modulo.elements[nome].value.substring(6,10);
		var s1 = modulo.elements[nome].value.substring(2,3);
		var s2 = modulo.elements[nome].value.substring(5,6);		
		if(((String(Number(gg))=="NaN" || String(Number(mm))=="NaN" || String(Number(aa))=="NaN" || Number(aa) < 1900 || Number(aa) > 2100 || Number(gg) < 1 || Number(gg) > 31 || Number(mm) < 1 || Number(mm) > 12) || (Number(gg) > 30 && (Number(mm) == 4 || Number(mm) == 6 || Number(mm) == 9 || Number(mm) == 11)) || ((Number(aa) % 4) > 0 && Number(mm) == 2 && Number(gg) > 28) || ((Number(aa) % 4) == 0 && Number(mm) == 2 && Number(gg) > 29)) || s1 != "/" || s2 != "/"){
			alert("ATTENZIONE: data non valida nel campo \"" + descrizione + "\" ! (formato gg/mm/aaaa)");
 			modulo.elements[nome].focus();
   			return false;			
		}	
	}
	return true;
}


function controllaDataObbligatoria(nome,descrizione,modulo){ // data formato gg/mm/aaaa obbligatoria
	if(!controllaTestoObbligatorio(nome,descrizione,modulo)){
		return false;
	}else if(!controllaData(nome,descrizione,modulo)){			
		return false;						
	}
	return true;
}

/******************************************************* controllo fine*/